package com.mortals.xhx.module.device.web;

import com.mortals.xhx.base.system.param.service.ParamService;
import com.mortals.xhx.module.firm.model.FirmQuery;
import com.mortals.xhx.module.firm.service.FirmService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.bind.annotation.*;
import com.mortals.framework.model.Context;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import com.mortals.framework.web.BaseCRUDJsonMappingController;
import com.mortals.xhx.module.device.model.DeviceEntity;
import com.mortals.xhx.module.device.model.DeviceQuery;
import com.mortals.xhx.module.device.service.DeviceService;
import org.apache.commons.lang3.ArrayUtils;
import com.mortals.framework.util.StringUtils;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;
import com.alibaba.fastjson.JSONObject;
import java.util.Arrays;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import static com.mortals.framework.ap.SysConstains.*;
/**
*
* 设备
*
* @author zxfei
* @date 2022-03-09
*/
@RestController
@RequestMapping("device")
public class DeviceController extends BaseCRUDJsonMappingController<DeviceService,DeviceForm,DeviceEntity,Long> {

    @Autowired
    private ParamService paramService;
    @Autowired
    private FirmService firmService;

    public DeviceController(){
        super.setFormClass(DeviceForm.class);
        super.setModuleDesc( "设备");
    }

    @Override
    protected void init(HttpServletRequest request, HttpServletResponse response, DeviceForm form, Map<String, Object> model, Context context) {
        this.addDict(model, "deviceType", paramService.getParamBySecondOrganize("Device","deviceType"));
        this.addDict(model, "deviceOnlineStatus", paramService.getParamBySecondOrganize("Device","deviceOnlineStatus"));
        this.addDict(model, "status", paramService.getParamBySecondOrganize("Device","status"));
        this.addDict(model, "deviceFirmId", firmService.find(new FirmQuery()).stream().collect(Collectors.toMap(x->x.getId().toString(), y->y.getFirmName())));
        super.init(request, response, form, model, context);
    }

}